/* Stockage d'une energie rvb               */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Novembre 2012                            */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "Energie.h"
#include "Rvb.h"

/* Constructeurs                            */
Energie::Energie(void):Rvb() {
}

Energie::Energie(double r,double v,double b):Rvb(r,v,b) {
}

Energie::Energie(float r,float v,float b):Rvb(r,v,b) {
}

Energie::Energie(double *c):Rvb(c[0],c[1],c[2]) {
}

Energie::Energie(float *c):Rvb(c[0],c[1],c[2]) {
}

Energie::Energie(Energie *c):Rvb(c) {
  r = c->r;
  v = c->v;
  b = c->b;
}

/* Destructeur                              */
Energie::~Energie(void) {
}
